
User Interface - Bug #2852

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

missing status text and active titlebar color during editing

11/16/2015 02:16 PM - Greg Shah

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Cleanup and Stabilization for GUI   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 11/16/2015 02:19 PM - Greg Shah

Using ./window_parenting/waitfor_2wnd.p in a Swing client using branch 2677a rev 11052, you can see two problems:

1. The status text that should say "Enter data or press ESC to end." is missing.  My guess is that if the default-window is not visible, we don't properly

handle the status text.

2. The focused window should have its titlebar drawn as "active".  This is also probably related to the default-window (see #2851).

#2 - 03/23/2016 05:03 PM - Greg Shah

- Target version changed from Milestone 12 to Milestone 16

#3 - 11/16/2016 12:23 PM - Greg Shah

- Target version changed from Milestone 16 to Cleanup and Stabilization for GUI
